    % Estrazione file lunari - Static %
function [data,M]=Estr_Moon_ST(path,filename)
addpath(path);
fid=fopen(filename);
i=1;
while 1
    dummy=fgetl(fid);
    while isempty(dummy)
        dummy=fgetl(fid);
    end
    if dummy==-1
        break
    end
    day=str2double(dummy(1:2));
    if ~isnan(day)
        data(i,1)=string(dummy(1:24));
        data(i,2)=str2double(dummy(13:14))*3600+str2double(dummy(16:17))*60+str2double(dummy(19:24));
        % M=[x,y,z,vx,vy,vz] %meters and meters/seconds
        M(i,1)=str2double(dummy(27:41))*1e3;
        M(i,2)=str2double(dummy(42:57))*1e3;
        M(i,3)=str2double(dummy(58:74))*1e3;
        M(i,4)=str2double(dummy(76:89))*1e3;
        M(i,5)=str2double(dummy(90:105))*1e3;
        M(i,6)=str2double(dummy(106:end))*1e3;
        i=i+1;
    end
end
fclose(fid);
end